diff -Nurd -x'*~' gtop-1.0.13.orig/fsusage.c gtop-1.0.13/fsusage.c
--- gtop-1.0.13.orig/fsusage.c	2001-02-27 09:41:28.000000000 -0500
+++ gtop-1.0.13/fsusage.c	2006-01-10 20:56:02.000000000 -0500
@@ -153,17 +153,17 @@
 		case GTOP_FSUSAGE_TOTAL:
 			d->graph_head = _("Total Filesystem Sizes "
 					  "(including reserved blocks)");
-			d->graph_tail = _("Sum of Total Sizes: %ldk");
+			d->graph_tail = _("Sum of Total Sizes: %lldk");
 			break;
 		case GTOP_FSUSAGE_USED:
 			d->graph_head = _("Used Space on Filesystems "
 					  "(including reserved blocks)");
-			d->graph_tail = _("Sum of Uses Space: %ldk");
+			d->graph_tail = _("Sum of Uses Space: %lldk");
 			break;
 		case GTOP_FSUSAGE_FREE:
 			d->graph_head = _("Free Space on Filesystems "
 					  "(including reserved blocks)");
-			d->graph_tail = _("Sum of Free Space: %ldk");
+			d->graph_tail = _("Sum of Free Space: %lldk");
 			break;
 		}
 		break;
@@ -171,15 +171,15 @@
 		switch (d->ftype) {
 		case GTOP_FSUSAGE_TOTAL:
 			d->graph_head = _("Total Filesystem Sizes");
-			d->graph_tail = _("Sum of Total Sizes: %ldk");
+			d->graph_tail = _("Sum of Total Sizes: %lldk");
 			break;
 		case GTOP_FSUSAGE_USED:
 			d->graph_head = _("Used Space on Filesystems");
-			d->graph_tail = _("Sum of Uses Space: %ldk");
+			d->graph_tail = _("Sum of Uses Space: %lldk");
 			break;
 		case GTOP_FSUSAGE_FREE:
 			d->graph_head = _("Free Space on Filesystems");
-			d->graph_tail = _("Sum of Free Space: %ldk");
+			d->graph_tail = _("Sum of Free Space: %lldk");
 			break;
 		}
 		break;
@@ -187,15 +187,15 @@
 		switch (d->ftype) {
 		case GTOP_FSUSAGE_TOTAL:
 			d->graph_head = _("Total Number of Inodes");
-			d->graph_tail = _("Sum of Total Number of Inodes: %ld");
+			d->graph_tail = _("Sum of Total Number of Inodes: %lld");
 			break;
 		case GTOP_FSUSAGE_USED:
 			d->graph_head = _("Used Inodes on Filesystems");
-			d->graph_tail = _("Sum of Used Inodes: %ld");
+			d->graph_tail = _("Sum of Used Inodes: %lld");
 			break;
 		case GTOP_FSUSAGE_FREE:
 			d->graph_head = _("Free Inodes on Filesystems");
-			d->graph_tail = _("Sum of Free Inodes: %ld");
+			d->graph_tail = _("Sum of Free Inodes: %lld");
 			break;
 		}
 		break;
diff -Nurd -x'*~' gtop-1.0.13.orig/main.c gtop-1.0.13/main.c
--- gtop-1.0.13.orig/main.c	2001-02-27 09:41:29.000000000 -0500
+++ gtop-1.0.13/main.c	2006-01-10 21:31:07.000000000 -0500
@@ -149,7 +149,7 @@
 	GNOMEUIINFO_END
 };
 
-#define ADD_PROPERTIES(x,y) gtop_property_object_list = g_list_append (gtop_property_object_list, gnome_property_object_new (& ## x ## Property_Descriptor, &gtop_properties. ## y ##))
+#define ADD_PROPERTIES2(x,y) gtop_property_object_list = g_list_append (gtop_property_object_list, gnome_property_object_new (x,y))
 
 void
 gtop_quit (void)
@@ -253,14 +253,14 @@
 	gnome_mdi_set_child_list_path (mdi, GNOME_MENU_WINDOWS_PATH);
 
 	/* Add properties (notebook pages). */
-	ADD_PROPERTIES (Global, global);
-	ADD_PROPERTIES (ProcView, procview);
-	ADD_PROPERTIES (ProcFields, procfields);
-	ADD_PROPERTIES (Summary, summary);
-	ADD_PROPERTIES (SummaryColors, summary_colors);
-	ADD_PROPERTIES (MemUsage, memusage);
-       	ADD_PROPERTIES (FsUsage, fsusage);
-	ADD_PROPERTIES (Graph, graph);
+	ADD_PROPERTIES2 (&GlobalProperty_Descriptor, &gtop_properties.global);
+	ADD_PROPERTIES2 (&ProcViewProperty_Descriptor, &gtop_properties.procview);
+	ADD_PROPERTIES2 (&ProcFieldsProperty_Descriptor, &gtop_properties.procfields);
+	ADD_PROPERTIES2 (&SummaryProperty_Descriptor, &gtop_properties.summary);
+	ADD_PROPERTIES2 (&SummaryColorsProperty_Descriptor, &gtop_properties.summary_colors);
+	ADD_PROPERTIES2 (&MemUsageProperty_Descriptor, &gtop_properties.memusage);
+       	ADD_PROPERTIES2 (&FsUsageProperty_Descriptor, &gtop_properties.fsusage);
+	ADD_PROPERTIES2 (&GraphProperty_Descriptor, &gtop_properties.graph);
 
 	/* Read properties. */
 	gtop_init_properties ();
diff -Nurd -x'*~' gtop-1.0.13.orig/memusage.c gtop-1.0.13/memusage.c
--- gtop-1.0.13.orig/memusage.c	2000-02-16 12:28:02.000000000 -0500
+++ gtop-1.0.13/memusage.c	2006-01-10 20:56:02.000000000 -0500
@@ -131,23 +131,23 @@
 	switch (d->ftype) {
 	case GTOP_MEMUSAGE_RESIDENT:
 		d->graph_head = _("Resident Sizes of Processes");
-		d->graph_tail = _("Sum of Resident Sizes: %ldk");
+		d->graph_tail = _("Sum of Resident Sizes: %lldk");
 		break;
 	case GTOP_MEMUSAGE_SHARED:
 		d->graph_head = _("Shared Sizes of Processes");
-		d->graph_tail = _("Sum of Shared Sizes: %ldk");
+		d->graph_tail = _("Sum of Shared Sizes: %lldk");
 		break;
 	case GTOP_MEMUSAGE_SIZE:
 		d->graph_head = _("Total Sizes of Processes");
-		d->graph_tail = _("Sum of Total Sizes: %ldk");
+		d->graph_tail = _("Sum of Total Sizes: %lldk");
 		break;
 	case GTOP_MEMUSAGE_VIRTUAL:
 		d->graph_head = _("Virtual Sizes of Processes");
-		d->graph_tail = _("Sum of Virtual Sizes: %ldk");
+		d->graph_tail = _("Sum of Virtual Sizes: %lldk");
 		break;
 	case GTOP_MEMUSAGE_SWAP:
 		d->graph_head = _("Swapped Sizes of Processes");
-		d->graph_tail = _("Sum of Swapped Sizes: %ldk");
+		d->graph_tail = _("Sum of Swapped Sizes: %lldk");
 		break;
 	}
 }
diff -Nurd -x'*~' gtop-1.0.13.orig/procview.c gtop-1.0.13/procview.c
--- gtop-1.0.13.orig/procview.c	2001-02-14 19:57:30.000000000 -0500
+++ gtop-1.0.13/procview.c	2006-01-10 21:26:46.000000000 -0500
@@ -92,53 +92,57 @@
 	NULL, NULL, NULL, NULL, NULL
 };
 
-#define CMP_DINT(NAME) \
-\
-static int cmp_ ## NAME (const ProcProcData **P, const ProcProcData **Q) \
-{ \
-	  return (*P)->d->sort_order * ((*P)-> ## NAME - (*Q)-> ## NAME); \
-}
 
-#define CMP_INT(NAME) \
-\
-static int cmp_ ## NAME (const ProcProcData **P, const ProcProcData **Q) \
-{ \
-	  return (*P)->d->sort_order * ((*P)->p-> ## NAME - (*Q)->p-> ## NAME); \
-}
 
-#define CMP_INT2(NAME,V1,V2) \
-\
-static int cmp_ ## NAME (const ProcProcData **P, const ProcProcData **Q) \
-{ \
-	  return (*P)->d->sort_order * ((*P)->p-> ## V1 + (*P)->p-> ## V2 - (\
-                               (*Q)->p-> ## V1 + (*Q)->p-> ## V2)); \
-}
 
-#define CMP_STR(NAME) \
-\
-static int cmp_ ## NAME (const ProcProcData **P, const ProcProcData **Q) \
-{ \
-	  return (*P)->d->sort_order * strcasecmp ((*P)->p-> ## NAME, (*Q)->p-> ## NAME); \
-}
 
 #define SORT_ASC 1
 #define SORT_DSC -1
 
-CMP_INT (stime);
-CMP_INT (utime);
-CMP_INT2 (time, stime, utime);
-CMP_INT (pid);
-CMP_DINT (pcpu);
-CMP_DINT (pmem);
-CMP_INT (size);
-CMP_INT (rss);
-CMP_INT (resident);
-CMP_INT (nice);
-CMP_INT (priority);
-CMP_INT (share);
+static int cmp_stime (const ProcProcData **P, const ProcProcData **Q) {
+  return (*P)->d->sort_order * ((*P)->p->stime - (*Q)->p->stime);
+}
+static int cmp_utime (const ProcProcData **P, const ProcProcData **Q) {
+  return (*P)->d->sort_order * ((*P)->p->utime - (*Q)->p->utime);
+}
+static int cmp_time (const ProcProcData **P, const ProcProcData **Q) {
+  return (*P)->d->sort_order * ((*P)->p->stime + (*P)->p->utime - ((*Q)->p->stime + (*Q)->p->utime));
+}
+static int cmp_pid (const ProcProcData **P, const ProcProcData **Q) {
+  return (*P)->d->sort_order * ((*P)->p->pid - (*Q)->p->pid);
+}
+static int cmp_pcpu (const ProcProcData **P, const ProcProcData **Q) {
+  return (*P)->d->sort_order * ((*P)->pcpu - (*Q)->pcpu);
+}
+static int cmp_pmem (const ProcProcData **P, const ProcProcData **Q) {
+  return (*P)->d->sort_order * ((*P)->pmem - (*Q)->pmem);
+}
 
-CMP_STR (user);
-CMP_STR (cmd);
+static int cmp_size (const ProcProcData **P, const ProcProcData **Q) {
+  return (*P)->d->sort_order * ((*P)->p->size - (*Q)->p->size);
+}
+static int cmp_rss (const ProcProcData **P, const ProcProcData **Q) {
+  return (*P)->d->sort_order * ((*P)->p->rss - (*Q)->p->rss);
+}
+static int cmp_resident (const ProcProcData **P, const ProcProcData **Q) {
+  return (*P)->d->sort_order * ((*P)->p->resident - (*Q)->p->resident);
+}
+static int cmp_nice (const ProcProcData **P, const ProcProcData **Q) {
+  return (*P)->d->sort_order * ((*P)->p->nice - (*Q)->p->nice);
+}
+static int cmp_priority (const ProcProcData **P, const ProcProcData **Q) {
+  return (*P)->d->sort_order * ((*P)->p->priority - (*Q)->p->priority);
+}
+static int cmp_share (const ProcProcData **P, const ProcProcData **Q) {
+  return (*P)->d->sort_order * ((*P)->p->share - (*Q)->p->share);
+}
+
+static int cmp_user (const ProcProcData **P, const ProcProcData **Q) {
+  return (*P)->d->sort_order * strcasecmp ((*P)->p->user, (*Q)->p->user);
+}
+static int cmp_cmd (const ProcProcData **P, const ProcProcData **Q) {
+  return (*P)->d->sort_order * strcasecmp ((*P)->p->cmd, (*Q)->p->cmd);
+}
 
 static GtkAdjustment *procfield_width_adjustments [GTOP_PROCFIELD_COUNT];
 
